package fiuba.algo3.ayudante.virtual;

public class AyudanteVirtual {

    private Conversacion conversacion;
    private Slack slack;

    public AyudanteVirtual(Slack slack) {
        conversacion = new Conversacion();
        this.slack = slack;
    }

    public void recibirMensaje(Mensaje mensaje) {
        String respuesta;
        respuesta = conversacion.getRespuesta(mensaje);
        slack.enviarMensaje(respuesta, mensaje.getRemitente());
    }
}
