package fiuba.algo3.ayudante.virtual;

import java.util.ArrayList;

public class Conversacion {

    public String getRespuesta(Mensaje mensaje) {
        ArrayList<Respuesta> respuestas = new ArrayList<Respuesta>();
        respuestas.add(new Saludo());
        respuestas.add(new Consulta());
        respuestas.add(new NoEntendido());

        for (Respuesta respuesta: respuestas) {
            if(respuesta.puedeResponder(mensaje))
                return respuesta.getRespuesta(mensaje);
        }
        return null;
    }
}
